## org.apache.taglibs.standard.tag.common.xml
Class ParseSupport.JstlEntityResolver

    java.lang.Object
      org.apache.taglibs.standard.tag.common.xml.ParseSupport.JstlEntityResolver

All Implemented Interfaces:
  EntityResolver

Enclosing class:
  ParseSupport

    public static class ParseSupport.JstlEntityResolver

extends Object
implements EntityResolver

Lets us resolve relative external entities.

Constructor Summary
`ParseSupport.JstlEntityResolver(PageContext ctx)`

Method Summary
`InputSource` `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParseSupport.JstlEntityResolver

    public ParseSupport.JstlEntityResolver(PageContext ctx)

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws FileNotFoundException

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Throws:
    `FileNotFoundException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.